package com.mortals.xhx.module.certificate.model;

import java.util.List;
import com.mortals.xhx.module.certificate.model.CertificateCatalogTemplateEntity;
/**
 * 证照目录模板查询对象
 *
 * @author zxfei
 * @date 2023-05-24
 */
public class CertificateCatalogTemplateQuery extends CertificateCatalogTemplateEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 目录id */
    private Long catalogIdStart;

    /** 结束 目录id */
    private Long catalogIdEnd;

    /** 增加 目录id */
    private Long catalogIdIncrement;

    /** 目录id列表 */
    private List <Long> catalogIdList;

    /** 目录id排除列表 */
    private List <Long> catalogIdNotList;

    /** 证照模板名称 */
    private List<String> templateNameList;

    /** 证照模板名称排除列表 */
    private List <String> templateNameNotList;
    /** 开始 模板类型1普通2正本3副本 */
    private Integer templateTypeStart;

    /** 结束 模板类型1普通2正本3副本 */
    private Integer templateTypeEnd;

    /** 增加 模板类型1普通2正本3副本 */
    private Integer templateTypeIncrement;

    /** 模板类型1普通2正本3副本列表 */
    private List <Integer> templateTypeList;

    /** 模板类型1普通2正本3副本排除列表 */
    private List <Integer> templateTypeNotList;

    /** 证照模板文件名称 */
    private List<String> templateFileNameList;

    /** 证照模板文件名称排除列表 */
    private List <String> templateFileNameNotList;
    /** 证照模板文件地址 */
    private List<String> templateFileUrlList;

    /** 证照模板文件地址排除列表 */
    private List <String> templateFileUrlNotList;
    /** 证照模板表单内容 */
    private List<String> formContentList;

    /** 证照模板表单内容排除列表 */
    private List <String> formContentNotList;
    /** 证照示例图地址 */
    private List<String> exampleFileUrlList;

    /** 证照示例图地址排除列表 */
    private List <String> exampleFileUrlNotList;
    /** 开始 证照状态，0：禁用1：启用 */
    private Integer statusStart;

    /** 结束 证照状态，0：禁用1：启用 */
    private Integer statusEnd;

    /** 增加 证照状态，0：禁用1：启用 */
    private Integer statusIncrement;

    /** 证照状态，0：禁用1：启用列表 */
    private List <Integer> statusList;

    /** 证照状态，0：禁用1：启用排除列表 */
    private List <Integer> statusNotList;

    /** 批量导入模板文件地址 */
    private List<String> excelFileList;

    /** 批量导入模板文件地址排除列表 */
    private List <String> excelFileNotList;
    /** 开始 是否生成PDF，0：否1：是 */
    private Integer isPdfStart;

    /** 结束 是否生成PDF，0：否1：是 */
    private Integer isPdfEnd;

    /** 增加 是否生成PDF，0：否1：是 */
    private Integer isPdfIncrement;

    /** 是否生成PDF，0：否1：是列表 */
    private List <Integer> isPdfList;

    /** 是否生成PDF，0：否1：是排除列表 */
    private List <Integer> isPdfNotList;

    /** 开始 打印设备Id */
    private Long deviceIdStart;

    /** 结束 打印设备Id */
    private Long deviceIdEnd;

    /** 增加 打印设备Id */
    private Long deviceIdIncrement;

    /** 打印设备Id列表 */
    private List <Long> deviceIdList;

    /** 打印设备Id排除列表 */
    private List <Long> deviceIdNotList;

    /** 打印机名称 */
    private List<String> printerNameList;

    /** 打印机名称排除列表 */
    private List <String> printerNameNotList;
    /** 打印机网络地址 */
    private List<String> printerIpList;

    /** 打印机网络地址排除列表 */
    private List <String> printerIpNotList;
    /** 打印机纸盒 */
    private List<String> paperSourceList;

    /** 打印机纸盒排除列表 */
    private List <String> paperSourceNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CertificateCatalogTemplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CertificateCatalogTemplateQuery> andConditionList;

    public CertificateCatalogTemplateQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 目录id
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 目录id
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 目录id
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 目录id
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 目录id
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 目录id
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 目录id
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 目录id
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 获取 目录id
     * @return catalogIdNotList
     */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
     * 设置 目录id
     * @param catalogIdNotList
     */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
     * 获取 证照模板名称
     * @return templateNameList
     */
    public List<String> getTemplateNameList(){
        return this.templateNameList;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameList
     */
    public void setTemplateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
    }

    /**
     * 获取 证照模板名称
     * @return templateNameNotList
     */
    public List<String> getTemplateNameNotList(){
        return this.templateNameNotList;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameNotList
     */
    public void setTemplateNameNotList(List<String> templateNameNotList){
        this.templateNameNotList = templateNameNotList;
    }

    /**
     * 获取 开始 模板类型1普通2正本3副本
     * @return templateTypeStart
     */
    public Integer getTemplateTypeStart(){
        return this.templateTypeStart;
    }

    /**
     * 设置 开始 模板类型1普通2正本3副本
     * @param templateTypeStart
     */
    public void setTemplateTypeStart(Integer templateTypeStart){
        this.templateTypeStart = templateTypeStart;
    }

    /**
     * 获取 结束 模板类型1普通2正本3副本
     * @return $templateTypeEnd
     */
    public Integer getTemplateTypeEnd(){
        return this.templateTypeEnd;
    }

    /**
     * 设置 结束 模板类型1普通2正本3副本
     * @param templateTypeEnd
     */
    public void setTemplateTypeEnd(Integer templateTypeEnd){
        this.templateTypeEnd = templateTypeEnd;
    }

    /**
     * 获取 增加 模板类型1普通2正本3副本
     * @return templateTypeIncrement
     */
    public Integer getTemplateTypeIncrement(){
        return this.templateTypeIncrement;
    }

    /**
     * 设置 增加 模板类型1普通2正本3副本
     * @param templateTypeIncrement
     */
    public void setTemplateTypeIncrement(Integer templateTypeIncrement){
        this.templateTypeIncrement = templateTypeIncrement;
    }

    /**
     * 获取 模板类型1普通2正本3副本
     * @return templateTypeList
     */
    public List<Integer> getTemplateTypeList(){
        return this.templateTypeList;
    }

    /**
     * 设置 模板类型1普通2正本3副本
     * @param templateTypeList
     */
    public void setTemplateTypeList(List<Integer> templateTypeList){
        this.templateTypeList = templateTypeList;
    }

    /**
     * 获取 模板类型1普通2正本3副本
     * @return templateTypeNotList
     */
    public List<Integer> getTemplateTypeNotList(){
        return this.templateTypeNotList;
    }

    /**
     * 设置 模板类型1普通2正本3副本
     * @param templateTypeNotList
     */
    public void setTemplateTypeNotList(List<Integer> templateTypeNotList){
        this.templateTypeNotList = templateTypeNotList;
    }


    /**
     * 获取 证照模板文件名称
     * @return templateFileNameList
     */
    public List<String> getTemplateFileNameList(){
        return this.templateFileNameList;
    }

    /**
     * 设置 证照模板文件名称
     * @param templateFileNameList
     */
    public void setTemplateFileNameList(List<String> templateFileNameList){
        this.templateFileNameList = templateFileNameList;
    }

    /**
     * 获取 证照模板文件名称
     * @return templateFileNameNotList
     */
    public List<String> getTemplateFileNameNotList(){
        return this.templateFileNameNotList;
    }

    /**
     * 设置 证照模板文件名称
     * @param templateFileNameNotList
     */
    public void setTemplateFileNameNotList(List<String> templateFileNameNotList){
        this.templateFileNameNotList = templateFileNameNotList;
    }

    /**
     * 获取 证照模板文件地址
     * @return templateFileUrlList
     */
    public List<String> getTemplateFileUrlList(){
        return this.templateFileUrlList;
    }

    /**
     * 设置 证照模板文件地址
     * @param templateFileUrlList
     */
    public void setTemplateFileUrlList(List<String> templateFileUrlList){
        this.templateFileUrlList = templateFileUrlList;
    }

    /**
     * 获取 证照模板文件地址
     * @return templateFileUrlNotList
     */
    public List<String> getTemplateFileUrlNotList(){
        return this.templateFileUrlNotList;
    }

    /**
     * 设置 证照模板文件地址
     * @param templateFileUrlNotList
     */
    public void setTemplateFileUrlNotList(List<String> templateFileUrlNotList){
        this.templateFileUrlNotList = templateFileUrlNotList;
    }

    /**
     * 获取 证照模板表单内容
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 证照模板表单内容
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 证照模板表单内容
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 证照模板表单内容
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 获取 证照示例图地址
     * @return exampleFileUrlList
     */
    public List<String> getExampleFileUrlList(){
        return this.exampleFileUrlList;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlList
     */
    public void setExampleFileUrlList(List<String> exampleFileUrlList){
        this.exampleFileUrlList = exampleFileUrlList;
    }

    /**
     * 获取 证照示例图地址
     * @return exampleFileUrlNotList
     */
    public List<String> getExampleFileUrlNotList(){
        return this.exampleFileUrlNotList;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlNotList
     */
    public void setExampleFileUrlNotList(List<String> exampleFileUrlNotList){
        this.exampleFileUrlNotList = exampleFileUrlNotList;
    }

    /**
     * 获取 开始 证照状态，0：禁用1：启用
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 证照状态，0：禁用1：启用
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 证照状态，0：禁用1：启用
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 证照状态，0：禁用1：启用
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 证照状态，0：禁用1：启用
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 批量导入模板文件地址
     * @return excelFileList
     */
    public List<String> getExcelFileList(){
        return this.excelFileList;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileList
     */
    public void setExcelFileList(List<String> excelFileList){
        this.excelFileList = excelFileList;
    }

    /**
     * 获取 批量导入模板文件地址
     * @return excelFileNotList
     */
    public List<String> getExcelFileNotList(){
        return this.excelFileNotList;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileNotList
     */
    public void setExcelFileNotList(List<String> excelFileNotList){
        this.excelFileNotList = excelFileNotList;
    }

    /**
     * 获取 开始 是否生成PDF，0：否1：是
     * @return isPdfStart
     */
    public Integer getIsPdfStart(){
        return this.isPdfStart;
    }

    /**
     * 设置 开始 是否生成PDF，0：否1：是
     * @param isPdfStart
     */
    public void setIsPdfStart(Integer isPdfStart){
        this.isPdfStart = isPdfStart;
    }

    /**
     * 获取 结束 是否生成PDF，0：否1：是
     * @return $isPdfEnd
     */
    public Integer getIsPdfEnd(){
        return this.isPdfEnd;
    }

    /**
     * 设置 结束 是否生成PDF，0：否1：是
     * @param isPdfEnd
     */
    public void setIsPdfEnd(Integer isPdfEnd){
        this.isPdfEnd = isPdfEnd;
    }

    /**
     * 获取 增加 是否生成PDF，0：否1：是
     * @return isPdfIncrement
     */
    public Integer getIsPdfIncrement(){
        return this.isPdfIncrement;
    }

    /**
     * 设置 增加 是否生成PDF，0：否1：是
     * @param isPdfIncrement
     */
    public void setIsPdfIncrement(Integer isPdfIncrement){
        this.isPdfIncrement = isPdfIncrement;
    }

    /**
     * 获取 是否生成PDF，0：否1：是
     * @return isPdfList
     */
    public List<Integer> getIsPdfList(){
        return this.isPdfList;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfList
     */
    public void setIsPdfList(List<Integer> isPdfList){
        this.isPdfList = isPdfList;
    }

    /**
     * 获取 是否生成PDF，0：否1：是
     * @return isPdfNotList
     */
    public List<Integer> getIsPdfNotList(){
        return this.isPdfNotList;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfNotList
     */
    public void setIsPdfNotList(List<Integer> isPdfNotList){
        this.isPdfNotList = isPdfNotList;
    }


    /**
     * 获取 开始 打印设备Id
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 打印设备Id
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 打印设备Id
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 打印设备Id
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 打印设备Id
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 打印设备Id
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 打印设备Id
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 打印设备Id
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 打印机名称
     * @return printerNameList
     */
    public List<String> getPrinterNameList(){
        return this.printerNameList;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public void setPrinterNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
    }

    /**
     * 获取 打印机名称
     * @return printerNameNotList
     */
    public List<String> getPrinterNameNotList(){
        return this.printerNameNotList;
    }

    /**
     * 设置 打印机名称
     * @param printerNameNotList
     */
    public void setPrinterNameNotList(List<String> printerNameNotList){
        this.printerNameNotList = printerNameNotList;
    }

    /**
     * 获取 打印机网络地址
     * @return printerIpList
     */
    public List<String> getPrinterIpList(){
        return this.printerIpList;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public void setPrinterIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
    }

    /**
     * 获取 打印机网络地址
     * @return printerIpNotList
     */
    public List<String> getPrinterIpNotList(){
        return this.printerIpNotList;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpNotList
     */
    public void setPrinterIpNotList(List<String> printerIpNotList){
        this.printerIpNotList = printerIpNotList;
    }

    /**
     * 获取 打印机纸盒
     * @return paperSourceList
     */
    public List<String> getPaperSourceList(){
        return this.paperSourceList;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public void setPaperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
    }

    /**
     * 获取 打印机纸盒
     * @return paperSourceNotList
     */
    public List<String> getPaperSourceNotList(){
        return this.paperSourceNotList;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceNotList
     */
    public void setPaperSourceNotList(List<String> paperSourceNotList){
        this.paperSourceNotList = paperSourceNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CertificateCatalogTemplateQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CertificateCatalogTemplateQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CertificateCatalogTemplateQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CertificateCatalogTemplateQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CertificateCatalogTemplateQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CertificateCatalogTemplateQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public CertificateCatalogTemplateQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public CertificateCatalogTemplateQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public CertificateCatalogTemplateQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public CertificateCatalogTemplateQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public CertificateCatalogTemplateQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public CertificateCatalogTemplateQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  目录id
     * @param catalogId
     */
    public CertificateCatalogTemplateQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 目录id
     * @param catalogIdStart
     */
    public CertificateCatalogTemplateQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 目录id
     * @param catalogIdEnd
     */
    public CertificateCatalogTemplateQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 目录id
     * @param catalogIdIncrement
     */
    public CertificateCatalogTemplateQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 目录id
     * @param catalogIdList
     */
    public CertificateCatalogTemplateQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 设置 目录id
     * @param catalogIdNotList
     */
    public CertificateCatalogTemplateQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
    }


    /**
     * 设置 证照模板名称
     * @param templateName
     */
    public CertificateCatalogTemplateQuery templateName(String templateName){
        setTemplateName(templateName);
        return this;
    }

    /**
     * 设置 证照模板名称
     * @param templateNameList
     */
    public CertificateCatalogTemplateQuery templateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
        return this;
    }

    /**
     * 设置  模板类型1普通2正本3副本
     * @param templateType
     */
    public CertificateCatalogTemplateQuery templateType(Integer templateType){
        setTemplateType(templateType);
        return this;
    }

    /**
     * 设置 开始 模板类型1普通2正本3副本
     * @param templateTypeStart
     */
    public CertificateCatalogTemplateQuery templateTypeStart(Integer templateTypeStart){
        this.templateTypeStart = templateTypeStart;
        return this;
    }

    /**
     * 设置 结束 模板类型1普通2正本3副本
     * @param templateTypeEnd
     */
    public CertificateCatalogTemplateQuery templateTypeEnd(Integer templateTypeEnd){
        this.templateTypeEnd = templateTypeEnd;
        return this;
    }

    /**
     * 设置 增加 模板类型1普通2正本3副本
     * @param templateTypeIncrement
     */
    public CertificateCatalogTemplateQuery templateTypeIncrement(Integer templateTypeIncrement){
        this.templateTypeIncrement = templateTypeIncrement;
        return this;
    }

    /**
     * 设置 模板类型1普通2正本3副本
     * @param templateTypeList
     */
    public CertificateCatalogTemplateQuery templateTypeList(List<Integer> templateTypeList){
        this.templateTypeList = templateTypeList;
        return this;
    }

    /**
     * 设置 模板类型1普通2正本3副本
     * @param templateTypeNotList
     */
    public CertificateCatalogTemplateQuery templateTypeNotList(List<Integer> templateTypeNotList){
        this.templateTypeNotList = templateTypeNotList;
        return this;
    }


    /**
     * 设置 证照模板文件名称
     * @param templateFileName
     */
    public CertificateCatalogTemplateQuery templateFileName(String templateFileName){
        setTemplateFileName(templateFileName);
        return this;
    }

    /**
     * 设置 证照模板文件名称
     * @param templateFileNameList
     */
    public CertificateCatalogTemplateQuery templateFileNameList(List<String> templateFileNameList){
        this.templateFileNameList = templateFileNameList;
        return this;
    }


    /**
     * 设置 证照模板文件地址
     * @param templateFileUrl
     */
    public CertificateCatalogTemplateQuery templateFileUrl(String templateFileUrl){
        setTemplateFileUrl(templateFileUrl);
        return this;
    }

    /**
     * 设置 证照模板文件地址
     * @param templateFileUrlList
     */
    public CertificateCatalogTemplateQuery templateFileUrlList(List<String> templateFileUrlList){
        this.templateFileUrlList = templateFileUrlList;
        return this;
    }


    /**
     * 设置 证照模板表单内容
     * @param formContent
     */
    public CertificateCatalogTemplateQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 证照模板表单内容
     * @param formContentList
     */
    public CertificateCatalogTemplateQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }


    /**
     * 设置 证照示例图地址
     * @param exampleFileUrl
     */
    public CertificateCatalogTemplateQuery exampleFileUrl(String exampleFileUrl){
        setExampleFileUrl(exampleFileUrl);
        return this;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlList
     */
    public CertificateCatalogTemplateQuery exampleFileUrlList(List<String> exampleFileUrlList){
        this.exampleFileUrlList = exampleFileUrlList;
        return this;
    }

    /**
     * 设置  证照状态，0：禁用1：启用
     * @param status
     */
    public CertificateCatalogTemplateQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public CertificateCatalogTemplateQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public CertificateCatalogTemplateQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public CertificateCatalogTemplateQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public CertificateCatalogTemplateQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusNotList
     */
    public CertificateCatalogTemplateQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }


    /**
     * 设置 批量导入模板文件地址
     * @param excelFile
     */
    public CertificateCatalogTemplateQuery excelFile(String excelFile){
        setExcelFile(excelFile);
        return this;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileList
     */
    public CertificateCatalogTemplateQuery excelFileList(List<String> excelFileList){
        this.excelFileList = excelFileList;
        return this;
    }

    /**
     * 设置  是否生成PDF，0：否1：是
     * @param isPdf
     */
    public CertificateCatalogTemplateQuery isPdf(Integer isPdf){
        setIsPdf(isPdf);
        return this;
    }

    /**
     * 设置 开始 是否生成PDF，0：否1：是
     * @param isPdfStart
     */
    public CertificateCatalogTemplateQuery isPdfStart(Integer isPdfStart){
        this.isPdfStart = isPdfStart;
        return this;
    }

    /**
     * 设置 结束 是否生成PDF，0：否1：是
     * @param isPdfEnd
     */
    public CertificateCatalogTemplateQuery isPdfEnd(Integer isPdfEnd){
        this.isPdfEnd = isPdfEnd;
        return this;
    }

    /**
     * 设置 增加 是否生成PDF，0：否1：是
     * @param isPdfIncrement
     */
    public CertificateCatalogTemplateQuery isPdfIncrement(Integer isPdfIncrement){
        this.isPdfIncrement = isPdfIncrement;
        return this;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfList
     */
    public CertificateCatalogTemplateQuery isPdfList(List<Integer> isPdfList){
        this.isPdfList = isPdfList;
        return this;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfNotList
     */
    public CertificateCatalogTemplateQuery isPdfNotList(List<Integer> isPdfNotList){
        this.isPdfNotList = isPdfNotList;
        return this;
    }

    /**
     * 设置  打印设备Id
     * @param deviceId
     */
    public CertificateCatalogTemplateQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 打印设备Id
     * @param deviceIdStart
     */
    public CertificateCatalogTemplateQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 打印设备Id
     * @param deviceIdEnd
     */
    public CertificateCatalogTemplateQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 打印设备Id
     * @param deviceIdIncrement
     */
    public CertificateCatalogTemplateQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdList
     */
    public CertificateCatalogTemplateQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdNotList
     */
    public CertificateCatalogTemplateQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 打印机名称
     * @param printerName
     */
    public CertificateCatalogTemplateQuery printerName(String printerName){
        setPrinterName(printerName);
        return this;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public CertificateCatalogTemplateQuery printerNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
        return this;
    }


    /**
     * 设置 打印机网络地址
     * @param printerIp
     */
    public CertificateCatalogTemplateQuery printerIp(String printerIp){
        setPrinterIp(printerIp);
        return this;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public CertificateCatalogTemplateQuery printerIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
        return this;
    }


    /**
     * 设置 打印机纸盒
     * @param paperSource
     */
    public CertificateCatalogTemplateQuery paperSource(String paperSource){
        setPaperSource(paperSource);
        return this;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public CertificateCatalogTemplateQuery paperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CertificateCatalogTemplateQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CertificateCatalogTemplateQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CertificateCatalogTemplateQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CertificateCatalogTemplateQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CertificateCatalogTemplateQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CertificateCatalogTemplateQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CertificateCatalogTemplateQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CertificateCatalogTemplateQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CertificateCatalogTemplateQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CertificateCatalogTemplateQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CertificateCatalogTemplateQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CertificateCatalogTemplateQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CertificateCatalogTemplateQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CertificateCatalogTemplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CertificateCatalogTemplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CertificateCatalogTemplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}