package com.mortals.xhx.module.record.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.record.model.RecordEntity;
import com.mortals.xhx.module.record.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 证照申请
*
* @author zxfei
* @date 2022-11-04
*/
@RestController
@RequestMapping("record")
public class RecordController extends BaseCRUDJsonBodyMappingController<RecordService,RecordEntity,Long> {

    @Autowired
    private ParamService paramService;

    public RecordController(){
        super.setModuleDesc( "证照申请");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "recordStatus", paramService.getParamBySecondOrganize("Record","recordStatus"));
        super.init(model, context);
    }


}