package com.mortals.xhx.module.business.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.business.model.BusinessLicenseEntity;
/**
* BusinessLicenseService
*
* 营业执照信息 service接口
*
* @author zxfei
* @date 2022-12-12
*/
public interface BusinessLicenseService extends ICRUDService<BusinessLicenseEntity,Long>{

    /**
     * API添加营业执照信息
     * @param businessLicenseEntity
     */
    void apiSave(BusinessLicenseEntity businessLicenseEntity);

    /**
     * 营业执照转化为可打印数据
     * @param businessLicenseEntity
     */
    void doConversion(BusinessLicenseEntity businessLicenseEntity);
}